Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 359491 - media-video/mjpegtools-1.9.0-r1 fails to configure with linux-headers-2.6.38 due to missing linux/videodev.h
Summary: media-video/mjpegtools-1.9.0-r1 fails to configure with linux-headers-2.6.38 ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 6 votes (vote)
Assignee: media-video herd
URL: http://mjpeg.cvs.sourceforge.net/view...
Whiteboard:
Keywords: PATCH
: 359747 (view as bug list)
Depends on:
Blocks: linux-headers-2.6.38
  Show dependency tree
 
Reported: 2011-03-19 12:59 UTC by Juergen Rose
Modified: 2011-06-10 09:24 UTC (History)
56 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
/var/tmp/portage/media-video/mjpegtools-1.9.0-r1/work/mjpegtools-1.9.0/config.log (config.log,51.37 KB, text/plain)
2011-03-19 13:06 UTC, Juergen Rose
Details
Modified version of current ebuild (mjpegtools-1.9.0-r1.ebuild,2.14 KB, text/plain)
2011-03-27 15:55 UTC, Dylan Wakefield
Details
Patch for ebuild posted above (put in the files dir) (mjpegtools-1.9.0-removeV4L1.patch,6.62 KB, text/plain)
2011-03-27 15:56 UTC, Dylan Wakefield
Details
mjpegtools-kernel-headers-2.6.38-videodev.h.patch (mjpegtools-kernel-headers-2.6.38-videodev.h.patch,803 bytes, patch)
2011-04-04 22:18 UTC, Ed Catmur
Details | Diff
mjpegtools-kernel-headers-2.6.38-videodev.h.patch (mjpegtools-kernel-headers-2.6.38-videodev.h.patch,1.27 KB, patch)
2011-04-11 22:46 UTC, Ed Catmur
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Juergen Rose 2011-03-19 12:59:21 UTC
'emerge mjepgtools' fails with:
...
checking for getopt_long... yes
checking return type of signal handlers... void
configure: The host is x86_64-pc-linux-gnu  x86_64  pc  linux-gnu .
checking for alpha architecture... no
checking linux/videodev.h usability... no
checking linux/videodev.h presence... no
checking for linux/videodev.h... no
configure: error: videodev.h not found - please install the linux kernel headers


Reproducible: Always




root@impala:/usr/local/portage/dev-python(72)# emerge --info =media-video/mjpegtools-1.9.0-r1
Portage 2.1.9.44 (default/linux/amd64/10.0, gcc-4.5.2, glibc-2.13-r2, 2.6.38-gentoo x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-2.6.38-gentoo-x86_64-AMD_Phenom-tm-_II_X4_965_Processor-with-gentoo-2.0.2
Timestamp of tree: Sat, 19 Mar 2011 10:30:01 +0000
app-shells/bash:     4.2_p8
dev-java/java-config: 2.1.11-r3
dev-lang/python:     2.7.1-r1, 3.1.3-r1
dev-util/cmake:      2.8.4
sys-apps/baselayout: 2.0.2
sys-apps/openrc:     0.7.0
sys-apps/sandbox:    2.5
sys-devel/autoconf:  2.13, 2.68
sys-devel/automake:  1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.21
sys-devel/gcc:       4.5.2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.4-r1
sys-devel/make:      3.82
virtual/os-headers:  2.6.38 (sys-kernel/linux-headers)
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA PUEL dlj-1.1 skype-eula googleearth AdobeFlash-10.1 cadsoft"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=amdfam10 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=amdfam10 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="de fr"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/science /var/lib/layman/x11 /var/lib/layman/sunrise /usr/local/portage /var/lib/cpan /var/lib/g-octave"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext 64bit R X Xaw3d a52 aac abiword accessibility acl acpi admin afs alsa amd64 amrr ao apache2 applet archive arpack asf aspell assistant audacious audiofile automap automount bash-completion berkdb blas blast bluetooth boo boost bzip2 cairo cdda cddb cdf cdio cdparanoia cdr cg cgi chm cli consolekit corba cracklib crypt css cuda cups curl cxx daap db dbase dbi dbm dbus declarative designer devhelp device-mapper dga dia djvu doc dri ds2490 ds9097 ds9097u dv dvb dvd dvdr dvi dynamicplugin eds elf emacs emboss emf empathy encode epiphany evo examples exif expat extensions extra extras fame ffmpeg fftw firefox fits flac fltk fontconfig foomaticdb fortran fortran95 fpx fts3 fuse galago gcj gd gdal gdbm gdu gedit geoip geolocation geos gfortran gif gimp ginac git glade glib gml gmp gmtsuppl gnokii gnome gnome-keyring gnome-print gnuplot gnutls gphoto2 gpm grammar graphics graphtft graphviz grass gs gsl gsm gstreamer gtk guile harness hddtemp hdf hdf5 hdri http httpd hvm iconv icq icu id3 imagemagick imap innodb inotify ipv6 ithreads jadetex java java6 jbig john jpeg jpeg2k kpathsea kqemu kvm ladspa lame lapack latex latex3 lcms ldap lensfun libffi libgda libnotify libsamplerate lm_sensors lua lzo mad mail maildir mailwrapper mapnik math matroska mkl mmx mmxext mng modules motif mozilla mp3 mp4 mpeg mpi mplayer mtp mudflap multilib musicbrainz mysql mysqli nautilus ncurses netcdf netpbm network networking networkmanager nfs nls nntp nptl nptlonly nsplugin ntfs ntp numpy obex objc ocaml octave odbc ogdi ogg ole openexr opengl openmp overview pam pcre pda pdf perl plotutils plugins png podcast policykit posix postgres postscript pppd preview-latex proj projectx pstricks pulseaudio pymol python python-bindings q16 q32 qemu qhull qt3support qt4 quicktime readline reiserfs reports rle romio rpc rrdcgi rrdtool samba sasl science sdl secure-delete semantic-desktop server session sip slang slp smbclient smp sndfile snmp soup sox speex spell sql sqlite sse sse2 sse4a ssl subtitles subversion suexec svg svm swig sysfs szip t1lib tcl tcpd tex tex4ht texmacs tgif theora threads thunderbird tidy tiff tk tntc tools truetype udev unicode usb userlocales utempter v4l2 video virtualbox vorbis wav webdav webdav-serf webkit wmf wxwidgets xattr xcb xemacs xext xine xml xmlreader xmlrpc xorg xpm xulrunner xv xvid xvmc yaml zlib zvbi" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgid dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de fr" NETBEANS_MODULES="apisupport cnd dlight enterprise ergonomics groovy gsf harness ide identity j2ee java mobility nb php profiler ruby websvccommon xml" PHP_TARGETS="php5-3" QEMU_SOFTMMU_TARGETS="i386 ppc ppc64 x86_64" QEMU_USER_TARGETS="arm i386 x86_64" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nv nouveau vesa" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS


root@impala:/usr/local/portage/dev-python(73)# emerge -pqv =media-video/mjpegtools-1.9.0-r1
[ebuild  N    ] media-video/mjpegtools-1.9.0-r1  USE="X dga dv gtk mmx png quicktime sdl -v4l -yv12"
Comment 1 Juergen Rose 2011-03-19 13:06:57 UTC
Created attachment 266499 [details]
/var/tmp/portage/media-video/mjpegtools-1.9.0-r1/work/mjpegtools-1.9.0/config.log
Comment 2 Lars Wendler (Polynomial-C) gentoo-dev 2011-03-21 13:21:21 UTC
*** Bug 359747 has been marked as a duplicate of this bug. ***
Comment 3 Jules 2011-03-25 18:31:53 UTC
It goes without saying that this breaks ebuilds like transcode and k3b which depend on it, depending on your USE flags.

Temporary fix:
USE="-mjpeg" emerge -a transcode

And the dependency on mjpegtools will be eliminated.
Comment 4 Dylan Wakefield 2011-03-27 15:55:02 UTC
Created attachment 267403 [details]
Modified version of current ebuild

Until there is some proper fix from upstream, I've created an new ebuild and accompanying patch for my own use, just figured I'd share here for anyone that needs it.

Basically just rips the v4l1 stuff out of the config.
Comment 5 Dylan Wakefield 2011-03-27 15:56:29 UTC
Created attachment 267405 [details]
Patch for ebuild posted above (put in the files dir)

Patch for ebuild posted above.
Comment 6 Firedt 2011-03-27 16:52:05 UTC
btw. this is also a problem for mytharchive as it depends on mjpegtools without any USE-flag
Comment 7 Michael Weber (RETIRED) gentoo-dev 2011-03-31 07:57:05 UTC
(In reply to comment #4)
> Created attachment 267403 [details]
> Modified version of current ebuild

Many people prefer to see the diff for small changes. Please either attach diffs or put these into the comment field.

Thanks you for the patch!

--- mjpegtools-1.9.0-r1.ebuild.orig     2011-03-16 00:01:17.000000000 +0100
+++ mjpegtools-1.9.0-r1.ebuild  2011-03-31 09:48:24.000000000 +0200
@@ -38,7 +38,8 @@
        cd "${S}"
        sed -i -e '/ARCHFLAGS=/s:=.*:=:' configure
        epatch "${FILESDIR}"/${P}-glibc-2.10.patch \
-               "${FILESDIR}"/${P}-jpeg-7.patch
+               "${FILESDIR}"/${P}-jpeg-7.patch \
+               "${FILESDIR}"/${P}-removeV4L1.patch
 }
 
 src_compile() {
Comment 8 Dylan Wakefield 2011-03-31 14:18:18 UTC
(In reply to comment #7)
> (In reply to comment #4)
> > Created attachment 267403 [details]
> > Modified version of current ebuild
> 
> Many people prefer to see the diff for small changes. Please either attach
> diffs or put these into the comment field.

Thanks for that Micheal, although I should have known, I'll (hopefully) remember for next time. I was very tired when I posted, in fact, my keyboard kept smacking me in the face to wake me up :)
Comment 9 tman 2011-04-02 19:26:59 UTC
i hope it will put in portage soon, because i have same problem at emerge -uDN world too now :)
Comment 10 Martin von Gagern 2011-04-03 14:30:11 UTC
Reported this upstream:
https://sourceforge.net/tracker/?func=detail&aid=3272052&group_id=5776&atid=105776
Someone care to set the URL on this report here?
Comment 11 Audiodef 2011-04-03 17:21:51 UTC
Thanks for posting the ebuild and patch - it works for me, too.
Comment 12 Torsten Kurbad 2011-04-04 15:54:53 UTC
(In reply to comment #11)
> Thanks for posting the ebuild and patch - it works for me, too.

Works for me as well. Thanks!
Comment 13 Ed Catmur 2011-04-04 22:18:32 UTC
Created attachment 268527 [details, diff]
mjpegtools-kernel-headers-2.6.38-videodev.h.patch

Suggested patch.  Downgrades configure error to a warning.

Run ./autogen.sh after applying patch.
Comment 14 water 2011-04-05 05:19:59 UTC
when does the patch go into portage ? thanks
Comment 15 Paramonov Valeriy 2011-04-09 06:51:00 UTC
+1. when does the patch go into portage ? thanks
Comment 16 David J Cozatt 2011-04-11 13:15:43 UTC
In reply to comments about moving this into portage- 

Would fix the merge failures obviously but would it not then disable support for transcoding from a tuner device? Or anything a trnascoder might need from these tools? I see this error too but...

random david # emerge -vp linux-headers

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] sys-kernel/linux-headers-2.6.38  0 kB

are installed and I should think it would be able to find that header.
Comment 17 Martin von Gagern 2011-04-11 13:56:49 UTC
(In reply to comment #16)
> Would fix the merge failures obviously but would it not then disable support
> for transcoding from a tuner device?
> [ebuild   R   ] sys-kernel/linux-headers-2.6.38  0 kB
> are installed and I should think it would be able to find that header.

The latest linux-headers REMOVED a header that used to be present before. The reason is that the header is for version 1 of the video4linux interface, which is obsoleted by version 2. So if mjpegtools would support with V4L2 all features it did support with V4L1, then it should be possible to remove the V4L1 support without loss of functionality.

The patch supplied here, however, doesn't accomplish this: without the HAVE_V4L configure switch, some binaries like lavrec won't be built. So yes, the patch provided here does loose features. To address this, mjpegtools would have to be properly ported to V4L2, although I have no clue how much work that would be. The mjpeg_howto.txt says this abount V4L2 support:

"But v4l2 is currently (7. Jan. 2003) only supported for the zoran based cards (BUZ, DC10, DC10+, LML33) if you use the CVS driver from mjpeg.sf.net tagged with ZORAN_VIDEODEV_2."

In terms of Gentoo best practice perhaps even worse than the loss of features: with the patch from comment #13, whether or not V4L support gets compiled in or not is determined automagically at compile time, not based on some USE flag or similar. The patch from comment #5 removes V4L support unconditionally. So perhaps the cleanest way to handle this would be introducing a new USE flag, which when enabled will force a dependency on older linux headers, and when disabled will cause the patch from comment #5 to be applied.
Comment 18 Ed Catmur 2011-04-11 22:46:18 UTC
Created attachment 269575 [details, diff]
mjpegtools-kernel-headers-2.6.38-videodev.h.patch

Good call.  This version of the patch kills the automagic (--with-v4l/--without-v4l, USE=+/-v4l).
Comment 19 Sebastian Singer 2011-04-13 08:33:39 UTC
Sorry, but this last patch didn't work for me.
I copied the patch to files dir in PORT_OVERLAY,
cvhanged mjpegtools-...ebuild acordingly,
made an ebuild digest,
but while emereg the same error accurs all the same:

checking linux/videodev.h presence... no
checking for linux/videodev.h... no
configure: error: videodev.h not found - please install the linux kernel headers

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/media-video/mjpegtools-1.9.0-r1/work/mjpegtools-1.9.0/config.log
 * ERROR: media-video/mjpegtools-1.9.0-r1 failed (compile phase):
 *   econf failed
 * 
 * Call stack:
 *     ebuild.sh, line   56:  Called src_compile
 *   environment, line 2884:  Called econf '--with-x' '--disable-xfree-ext' '--with-libquicktime' '--with-libpng' '--without-v4l' '--with-gtk' '--without-sdl' '--with-libdv=/usr' '--enable-simd-accel' '--enable-largefile' '--without-jpeg-mmx' '--with-dv-yv12'
 *     ebuild.sh, line  557:  Called die
 * The specific snippet of code:
 *   			die "econf failed"
 * 

What do I do wrong?
Any further information needed?

Greets,
Sebastian
Comment 20 Yuri Matsyuk 2011-04-13 11:05:18 UTC
1. downgrade to linux-headers-2.6.36.1
2. emerge mjpegtools-1.9.0-r1
3. update to linux-headers-2.6.38

Works fine for me.
Comment 21 Ed Catmur 2011-04-13 11:32:32 UTC
Sebastian, did you run eautoreconf? See http://www.gentoo.org/proj/en/qa/autofailure.xml

Matsyuk, that's not a long-term solution.
Comment 22 Sebastian Singer 2011-04-13 18:52:30 UTC
Sorry Ed, but I don't know about eautoreconf and can not find it on my system. The link didn't really help.I am no developer.
Comment 23 Martin von Gagern 2011-04-13 19:47:20 UTC
(In reply to comment #22)
> I don't know about eautoreconf and can not find it on my system.

It's a function in autotools.eclass. So you have to add autotools to the inherit statement, and also have to call eautoreconf, preferrably in the src_prepare function which you'd have to add. The reason is that the patch from Ed only modifies configure.ac, whereas that from Dylan did modify configure as well. eautoreconf will recreate configure from configure.ac.
Comment 24 Sebastian Singer 2011-04-13 19:54:53 UTC
(In reply to comment #23)
> (In reply to comment #22)
> > I don't know about eautoreconf and can not find it on my system.
> 
> It's a function in autotools.eclass. So you have to add autotools to the
> inherit statement, and also have to call eautoreconf, preferrably in the
> src_prepare function which you'd have to add. The reason is that the patch from
> Ed only modifies configure.ac, whereas that from Dylan did modify configure as
> well. eautoreconf will recreate configure from configure.ac.

Thanks. I will try.
Comment 25 Sebastian Singer 2011-04-14 17:17:48 UTC
(In reply to comment #23)
> (In reply to comment #22)
> > I don't know about eautoreconf and can not find it on my system.
> 
> It's a function in autotools.eclass. So you have to add autotools to the
> inherit statement, and also have to call eautoreconf, preferrably in the
> src_prepare function which you'd have to add. The reason is that the patch from
> Ed only modifies configure.ac, whereas that from Dylan did modify configure as
> well. eautoreconf will recreate configure from configure.ac.

Thanks. I will try.
Comment 26 Jory A. Pratt gentoo-dev 2011-04-19 13:36:40 UTC
For those who are struggling with how to add the patch and use eautoreconf I have added Ed's patch to my dev overlay ready to go you can find it at 

http://git.overlays.gentoo.org/gitweb/?p=dev/anarchy.git;a=commitdiff;h=53e4c30e4552ff3039cefb6c1ed59556404fdf58
Comment 27 Samuli Suominen gentoo-dev 2011-04-19 13:53:27 UTC
(In reply to comment #26)
> For those who are struggling with how to add the patch and use eautoreconf I
> have added Ed's patch to my dev overlay ready to go you can find it at 
> 
> http://git.overlays.gentoo.org/gitweb/?p=dev/anarchy.git;a=commitdiff;h=53e4c30e4552ff3039cefb6c1ed59556404fdf58

The ebuild is modifying first configure, then it runs eautoreconf and regenerates it... so pretty much a no-go.
Comment 28 Marco Napetti 2011-04-20 11:44:47 UTC
(In reply to comment #26)
> For those who are struggling with how to add the patch and use eautoreconf I
> have added Ed's patch to my dev overlay ready to go you can find it at 
> 
> http://git.overlays.gentoo.org/gitweb/?p=dev/anarchy.git;a=commitdiff;h=53e4c30e4552ff3039cefb6c1ed59556404fdf58

I downloaded the ebuild from your overlay, but I still get the error
checking linux/videodev.h usability... no
checking linux/videodev.h presence... no
checking for linux/videodev.h... no
configure: error: videodev.h not found - please install the linux kernel headers
Comment 29 Ed Catmur 2011-04-20 11:49:42 UTC
(In reply to comment #28)
> I downloaded the ebuild from your overlay, but I still get the error
> checking linux/videodev.h usability... no
> checking linux/videodev.h presence... no
> checking for linux/videodev.h... no
> configure: error: videodev.h not found - please install the linux kernel
> headers

Have you set USE=-v4l?
Comment 30 Marco Napetti 2011-04-20 17:39:56 UTC
(In reply to comment #29)
> (In reply to comment #28)
> > I downloaded the ebuild from your overlay, but I still get the error
> > checking linux/videodev.h usability... no
> > checking linux/videodev.h presence... no
> > checking for linux/videodev.h... no
> > configure: error: videodev.h not found - please install the linux kernel
> > headers
> 
> Have you set USE=-v4l?

No, sorry, my failure, I was thinking this patch solves the problem...
Comment 31 Sebastian Singer 2011-04-22 13:40:46 UTC
Thanks for the last hint. I got mjpegtools compiled now.
Greets,
Sebastian
Comment 32 Dennis Schridde 2011-04-25 09:26:22 UTC
Could the ebuild be updated to depend on <linux-headers-2.6.38? I have USE=-v4l and still get this issue. (media-video/mjpegtools-1.9.0-r1::gentoo)
Comment 33 Dennis Schridde 2011-04-25 09:27:05 UTC
(In reply to comment #32)
> Could the ebuild be updated to depend on <linux-headers-2.6.38? I have USE=-v4l
> and still get this issue. (media-video/mjpegtools-1.9.0-r1::gentoo)
[ebuild   R    ] media-video/mjpegtools-1.9.0-r1  USE="gtk mmx png quicktime sdl -dga -dv -v4l -yv12 (-X%*)" 0 kB
Comment 34 Dennis Schridde 2011-04-25 09:29:22 UTC
P.S: See bug #361799 for a bump to 2.0.0 which also incorporates a fix.
Comment 35 Martin von Gagern 2011-04-27 19:27:20 UTC
(In reply to comment #10)
> Reported this upstream:

Upstream committed a modification to their configure.ac:
http://mjpeg.cvs.sourceforge.net/viewvc/mjpeg/mjpeg_play/configure.ac?r1=1.64&r2=1.65&view=patch
That change also introduces a --without-v4l switch just like the one from comment #18, but in contrast to that it will only warn not fail if the required headers are not available. So take your pick, either an upstream-accepted patch or a patch that might cause automagic behaviour if dependencies listed in the ebuild don't behave as expected.
Comment 36 Martin von Gagern 2011-04-27 19:36:43 UTC
(In reply to comment #35)
> So take your pick, either an upstream-accepted patch or a patch
> that might cause automagic behaviour

I got confused there. It should have been: either take an upstream-accepted patch that might cause automagic behaviour (but should not do so under sane build environments), or take a custom Gentoo-ish patch (from comment #18) that will ensure the build fails if the required header isn't available.
Comment 37 Timothy Miller 2011-05-05 13:16:35 UTC
This package has been broken for weeks.  Gentoo devs create custom patches all the time to fix problems like this, and it looks like there might be a version bump with a fix.  Wouldn't it make sense to do one of these to get things unbroken?
Comment 38 Krellan 2011-05-12 06:17:53 UTC
I also wonder when this bug will be fixed.

The two files above, dated 2011-03-27, work perfectly.  I can compile and run it under 2.6.28 and it neatly solves the problem.  I haven't found any breakage that it causes.

Is there something else that is holding this up?  Whenever I do "emerge --sync", I have to remember to put these files back, because emerge removes them.  Would be great to have these in the official Portage tree.
Comment 39 Markos Chandras (RETIRED) gentoo-dev 2011-05-12 08:35:43 UTC
Cc'ing Samuli who did the bump to 1.9.0-r1. He may want to take a look at this
Comment 40 Samuli Suominen gentoo-dev 2011-05-12 12:42:41 UTC
(In reply to comment #39)
> Cc'ing Samuli who did the bump to 1.9.0-r1. He may want to take a look at this

Thanks but I'm in the media-video alias and not intrested in this package, sorry.   I've told 2 other developers they are free to take over the package, and they promised to commit the fixes but haven't seen anything in tree yet... No idea why.

Far as I'm concerned, this package can be lastrited with all it's reverse dependencies if nobody is willing to fix it
Comment 41 Markos Chandras (RETIRED) gentoo-dev 2011-05-12 12:50:35 UTC
Ok Samuli. I will test the upstream patch and commit it on behalf of QA
Comment 42 Daniel Pielmeier gentoo-dev 2011-05-12 18:44:17 UTC
This should be fixed in mjpegtools-2.0.0_rc1 please reopen if there are still issues.
Comment 43 Martin von Gagern 2011-06-10 09:24:37 UTC
FYI.

(In reply to comment #17)
> So yes, the patch
> provided here does loose features. To address this, mjpegtools would have to be
> properly ported to V4L2, although I have no clue how much work that would be.

Probably easiest through media-libs/libv4l, have proposed a patch upstream:
http://sourceforge.net/tracker/?func=detail&aid=3306829&group_id=5776&atid=305776
Some testing with a V4L input device would be useful, but I currently don't have such a device. Testing using an ebuild will require an eautoreconf run. If you do test the patch, please report your findings upstream, and if you want V4L support for recent kernels included, please ask upstream to commit that patch. I don't expect Gentoo to apply the patch unless upstream does.